* {
  margin:0;
  padding:0;
  box-sizing: border-box;
  border:0;
  outline:0;
  text-decoration: none;
  list-style: none;
  
  transition: all 0.4s;

 /* font-family: 'Poppins', sans-serif;*/
  font-family: 'Palatino linotype', sans-serif;
 }

 html{
 
  overflow-x: hidden;
  scroll-behavior: smooth;
  scroll-padding-top: 7rem;
 }
 html::-webkit-scrollbar{
  background-color: transparent;
  width:0;
  overflow-x: hidden;

 }
 img{
  width: 100%;
  height: auto;
 }
 &{
  --contrast-color:#222;
  --main-color:#ff3333;
  --bg-color1:#222;
  --bg-color2:#111;
  --text-color1:#eee;
  --text-color2:#fff;
  --box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .8);

  --big-font-size: calc(25px + (65 - 25) * ((100vw -300px) / (1500 - 300)));

  --medium-font-size: calc(16px+(35 - 16) * ((100vw -300px) / (1500 - 300)));
  --small-font-size: calc(12px+(18 - 12) * ((100vw -300px) / (1500 - 300)));
 }
body{
  background-color:var(--bg-color1);
  min-height: 1300px;
  overflow-x: hidden;
} 
body.active{
  --text-color1:#222;
  --text-color2:#111;
  --bg-color1:#eee;
  --bg-color2:#fff;
  --box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .8);
}
section{
  padding:2rem 9%;
}

.btn{
  margin-top: 1rem;
  display: inline-block;
  padding: 0.9rem 3.5rem;
  color: var(--contrast-color);
  border-radius: 0.5rem;
  cursor: pointer;
  background: var(--main-color);
  letter-spacing: 0.1rem;
}
.btn:hover{
  letter-spacing: 0.3rem;
}
.heading{
  text-align: center;
  font-size: 2.3rem;
  margin-bottom: 1rem;
 color: var(--text-color2);
}
.pseudonimo{
 font-size: 1rem;
}
.heading span{
  /*color: var(--main-color);*/
  color:white;
}
/* header section start*/
.header{
  position:fixed;
  top:0;
  left:0;
  right:0;
  width: 100%;
 /*  background-color: var(--bg-color2);*/
  padding:1.5rem 9%;
  display:flex;
  justify-content:space-between;
  align-items:center;
  z-index:1000;
 /*  box-shadow: var(--box-shadow);*/
}
/*
.header .logo{
  font-size: var(--big-font-size);
  font-weight: 800;
  color:var(--text-color2);
}
.header .logo{
  font-size: calc(1vw + 1rem);
  text-shadow: 0 .5rem 1rem rgba(0, 0, 0, .3);
  background: linear-gradient(-45deg, #330000 20%, #ff0000 70%, #330000 80%);
  -webkit-background-clip: text;
  background-clip:text;
  -webkit-text-fill-color: transparent;
  background-size: 300% auto;
  animation: text 7s ease-in-out infinite alternate;
} */
.header .logo{
 width:20%;
 height:auto;
}

@keyframes text {
  0% {
    background-position: 200%;

  }
}
.header .icons{
  display:flex;
  gap:0.8rem; 
}

.header .icons div{
  width:calc(27px+(40-27)*((100vw-300px) / (1500-300)));
  height: calc(27px+(40-27)*((100vw-300px) / (1500-300)));
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius:50%;
  font-size: var(--small-font-size);
  color: var(--text-color2);
  background-color: var(--bg-color1);
  padding:10px;
  cursor: pointer;

}
.header .icons div:hover{
background: var(--main-color);
color: var(--text-color2);
}
.header .navbar{
  display:none;
  position: absolute;
  top:115%;
  right:9%;
  background:var(--bg-color2);
  border-radius: .5rem;
  box-shadow: var(--box-shadow);
  width: 20rem;
  padding:1rem;
}
.header .navbar.active{
  display:block;
}
.header .navbar a{
  display: block;
  font-size: var(--small-font-size);
  padding: 1rem;
  color: var(--text-color1);
  transition: 0.5s;
}
.header .navbar a:hover{
  color: var(--main-color);
  transform: translateX(1rem);
}
.header .search-form{
  position: absolute;
  top:115%;
  right:9%;
  background: var(--bg-color2);

  border-radius: 0.5rem;
  box-shadow: var(--box-shadow);
  display: flex;
  align-items: center;
  height:5rem;
  width:25rem;
  padding:1rem;
  display: none;
}
.header .search-form.active{
  display: flex;
}
.header .search-form input{
width: 100%;
height: 100%;
background: none;
text-transform: none;
font-size: var(--small-font-size);
color: var(--text-color1);
padding:1rem;
}
.header .search-form label{
  font-size: var(--small-font-size);
  color: var(--text-color1);
  padding-right: 0.5rem;
  cursor:pointer;
  transition: 0.5s;
}
.header .search-form label:hover{
  color: var(--main-color);
}
.header .colors-palette{
  position: absolute;
  top: 115%;
  right:9%;
  background: var(--bg-color2);
  border-radius: .5rem;
  box-shadow: var(--box-shadow);
  padding: 1rem;
  text-align: center;
  width: 12rem;
  display: none;
  padding-top: 40px;

}
.header .colors-palette.active{
  display:block;
}
.header .colors-palette h4{
 
  margin: 0;
  text-align: center;
  padding: 0.7rem;
  padding-top: 1rem;
  font-size: var(--small-font-size);
  color: var(--text-color1);
  

}
.header .colors-palette .colors{
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  padding:0.7rem;
  gap: 0.5rem;
}
.header .colors-palette .colors .color{

  width: calc(20px + (30px - 20px) );
  height:  calc(27px + (30px - 27px) );
  border-radius: 0.5rem;
  cursor: pointer;
}
.close-btn {
  position: absolute;
  top: 20px; /* Расположим крестик ближе к верхнему краю */
  right: 10px;
  font-size: 18px;
  color: #333;
  cursor: pointer;
  background: transparent;
  border: none;
}

.close-btn:hover {
  color: #ff0000; /* Изменение цвета при наведении */
}
/* header section finish*/

/* home section start*/
/* Общие стили */
.home {
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: flex-end; /* вниз */
  padding: 0 0 3rem 0; /* небольшой отступ снизу */
  position: relative;
  overflow: hidden;
}

/* Контейнер для фона */
.background-wrapper {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden; /* Чтобы фон не вылезал */
  z-index: -1; /* Позади контента */
}

/* Фоновые изображения */
.background1, .background2 {
  position: absolute;
  top: 0;
  left: 0;
  width: 110%; /* Немного больше экрана */
  height: 110%;
  background-size: cover;
  background-position: center;
  opacity: 0; /* Начинаем с полной прозрачности */
  transition: opacity 1.5s ease-in-out, transform 10s ease-in-out;
  will-change: opacity, transform;
}

/* Анимация появления */
.active-bg {
  opacity: 1;
  transform: scale(1.1); /* Приближение */
}

/* Анимация исчезновения */
.fade-out {
  opacity: 0;
  transform: scale(1); /* Отдаление */
}





.home .content{
  max-width: 100rem;
  color: var(--text-color2);
  background: var(--bg-color2);
  box-shadow: var(--box-shadow);
  text-align:center;
  padding:0.3rem 1rem;
  border-radius: 0.4rem;
  position:relative;
}
.home .content h2{
color: var(--text-color2);
font-size: 1rem;
}
.home .content h2 span{
  color: var(--main-color);
}
.home .content p{
  color: var(--text-color2);
  text-align: justify;
  font-size: 0.7rem;
}
.quote-author{
position:absolute;
bottom: 1vh; /* Прикрепляем к нижнему краю */
right: 3vw; 

}
.vraveia {
margin-top:1rem;
  display: flex;
  align-items: center; /* выравнивание по вертикали */
  gap: 2rem; /* расстояние между картинками */
  justify-content: center;

}

.vraveia img {
  max-height: 5rem; /* максимальная высота */
  width: auto; /* сохраняет пропорции */
}

/* home section finish*/

/* about section start*/
.about{

width:80%;
margin: 0 auto;
}
.about .row{
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 0.5rem;

}
.about .row .img-box{
  flex: 1 1 30rem;
  padding: 0.5rem;
   }
.about .row .img-box img{
  width: 50%;
  height: auto%;
  object-fit: cover;
 
  
}
.about .row .content-box{
  flex: 1 1 40rem;
  padding: 0.5rem;
}
.about .row .content-box h3{
  color: var(--text-color1);
  font-size: medium;
}
.about .row .content-box p{
  margin: 2rem 0rem;
  font-size: medium;
  color: var(--text-color1);
}
.about ul li a {
  display: inline-block;
  margin-top: 1px;
  color: var(--main-color);
  text-decoration: none;
}
.about ul li a:visited {
  color: var(--main-color);
  text-decoration: none;
}



/* about section finish*/
/* services section start*/
.services .box-container{
  display: flex;
  justify-content: center;
  align-items: flex-start;
  flex-wrap: wrap;
  gap: 1.5rem;
}




.services .box-container .box{
  flex: 1 1 25rem;
  box-shadow: var(--box-shadow);
  padding: 2rem;
  border-radius: 0.5rem;
  position: relative;
  transition: 0.3s;
 /* cursor: pointer; */
  color: var(--text-color2);
  background: var(--bg-color2);
  height: auto; /* Автоматическая высота */
  /*min-height: 80vh; /* Минимальная высота */
  overflow: hidden; /* Скрытие лишнего текста */
  text-overflow: ellipsis;
  word-wrap: break-word; /* Перенос текста */
    flex: 0 1 28rem; /* запрещаем растягивание */
  max-width: 28rem;
}

.box {
  width: 30%; /* Ширина карточки */
  /* Высота 20% от экрана */
  overflow: hidden; /* Скрытие содержимого, которое выходит за пределы */

  padding: 20px;
  border-radius: 8px;
  position: relative;
}



/* 
.services .box-container .box:hover{
  transform: translateY(-0.8rem);
} */
.services .box-container .box span{
  position: absolute;
  top: 1rem;
  right: 2.5rem;
  font-size: 6rem;
  color: var(--text-color2);
  font-weight: 800;
  opacity: 0.3;

}
.services .box-container .box i{
  width: 3.5rem;
  height: 3.5rem;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: medium;
  border-radius: 50%;
  color: var(--contrast-color);
  background: var(--main-color);
  margin-bottom: 1rem;
}
.services .box-container .box h3,
.services .box-container .box h4{
  color: var(--text-color1);
  font-size: 1.4rem;
  padding: 1rem 0rem;
}

.services .box-container .box p{
  color: var(--text-color2);
  font-size: 1rem;
  padding: 1rem 0rem;
  line-height: 1.5;
}
/* services section finish*/
/* projects section start*/
.projects .box-container{
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 1.5rem;
}
.projects .box-container .box{
  flex: 1 1 35rem;
  height: 25rem;
  box-shadow: var(--box-shadow);
  overflow: hidden;
  border-radius: 0.5rem;
  border: 1rem solid var(--text-color2);
  position: relative;
  transition: 0.3s;
  cursor: pointer;
}
.projects .box-container img{
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.projects .box-container .box .content{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  background: var(--bg-color2);
  justify-content: center;
  align-items: center;
  flex-flow:column;
  transform: scale(0);
}
.projects .box-container .box .content h5{
  font-size: 2rem;
  color: var(--text-color1);
  margin-left: 0.5rem;
  transform: translateY(-5rem);
  opacity: 0;
  transition-delay: 0.3s;

}
.projects .box-container .box .content p{
  font-size: 1.5rem;
  color: var(--text-color2);
  transform: translateY(5rem);
  opacity: 0;
  transition-delay: 0.3s;
}
.projects .box-container .box:hover .content{
  transform: scale(1);
}
.projects .box-container .box:hover .content h5{
transform: translateY(0rem);
opacity: 1;
}
.projects .box-container .box:hover .content p{
  transform: translateY(0rem);
opacity: 1;
}
/* projects section finish*/
/* pricing section start*/

.pricing .box-container{
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  gap: 1.5rem;
}
.pricing .box-container .box{
  flex: 1 1 27rem;
  padding:2.5rem 0rem;
  text-align: center;
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: var(--box-shadow);
  border-radius: 0.5rem;
  flex-flow: column;
}
.pricing .box-container .box span{
  font-size: 2.5rem;
  padding-bottom: 2rem;
  color: var(--main-color);
}
.pricing .box-container .box:nth-child(2) span{
  transform: rotate(-45deg);
}
.pricing .box-container .box h4{
  background: var(--main-color);
  padding:2rem 0 rem;
  width: 100%;
  margin: 1rem 0rem;
  font-size: 2rem;
  color: var(--contrast-color);

}
.pricing .box-container .box .price{
  font-size: 2rem;
  color: var(--text-color1);
  font-weight: 800;
}
.pricing .box-container .box .price i{
  color: var(--text-color1);
  font-size: 2rem;
}
.pricing .box-container .box ul{
  padding: 1rem 0rem;
}
.pricing .box-container .box ul li{
  padding: 0.7rem 5rem;
  font-size: 1.5rem;
  color: var(--text-color2);
 text-align: left;
}
.pricing .box-container .box ul li i{
  padding-right: 0.7rem;
  color: var(--main-color);
}
/* pricing section finish*/
/* review section start*/
.review .box-container{
  display: flex;
  justify-content: center;
  /* align-items: center; */
  align-items: flex-start;
  flex-wrap: wrap;
  gap: 1.5rem;
}
.review .box-container .box{
  flex: 1 1 30rem;
  box-shadow: var(--box-shadow);
  background: var(--bg-color2);
  border-radius: 0.5rem;
  padding: 2.5rem;
}
.review .box-container .box .user{
  display: flex;
  align-items: center;
  padding-bottom: 1rem;
}
.review .box-container .box .user img{
width: 5rem;
height: 7rem;
border-radius: 10%;
object-fit: cover;
margin-right: 1rem;
}
.review .box-container .box .user .fa-quote-right{
  color: var(--main-color);
  font-size: 3rem;
   margin-left: auto;
}
.review .box-container .box .user .info h3{
color: var(--text-color1);
font-size: 1.5rem;
padding-bottom: 0.5rem;
}
.review .box-container .box .user .info .stars i{
  color: var(--main-color);
font-size:1.5rem;

}
.review .box-container .box .user .info span{
  color: var(--text-color2);
  font-size: 1.5rem;
}
.review .box-container .box p{
  color: var(--text-color2);
  font-size: 1rem;
  padding-bottom: 1rem;
  line-height: 1.5;
}
/* review section finish*/
/*galery start*/
  /* Галерея */
 .categories {
    margin-bottom: 20px;
    text-align:center;
   
    gap: 10px; /* Отступы между кнопками */
}

button {
    margin: 5px;
    padding: 8px 15px;
    cursor: pointer;
    border: none;
    background: #ddd;
    min-width: 100px;
}

button.active {
    background: #555;
    color: white;
}

button:hover {
  background: #3e3e3e;
  color: white;
}


.gallery {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
    gap: 10px;
    padding: 20px;
  }
  .gallery img {
    width: 100%;
    height: 300px; /* Задаем одинаковую высоту */
    object-fit: cover; /* Сохраняем пропорции, обрезая края */
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    cursor: pointer;
    transition: transform 0.2s;
  }
  .gallery img:hover {
    transform: scale(1.05);
  }
/* Модальное окно */
/* Модальное окно */
.modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%; /* Полностью перекрывает экран */
    background-color: rgba(0, 0, 0, 0.8);
    display: flex; /* Делаем flex-контейнером */
    justify-content: center; /* Центрируем по горизонтали */
    align-items: center; /* Центрируем по вертикали */
    z-index: 1002;
    margin-top:20px;
}

/* Обёртка для изображения */
.modal-content {
    display: flex;
    justify-content: center;
    align-items: center;
}

/* Стили для изображения в модальном окне */
.modal img {
    max-width: 70vw; /* Ограничиваем ширину до 70% ширины экрана */
    max-height: 90vh; /* Ограничиваем высоту до 90% высоты экрана */
    width: auto; /* Сохраняем пропорции */
    height: auto; /* Сохраняем пропорции */
    border-radius: 10px;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.3);
}

  
  
  /* Кнопки листания */
  .modal .nav {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    color: #fff;
    font-size: 64px; /* Увеличенный размер */
    cursor: pointer;
    user-select: none;
    z-index: 1001;
    padding: 100px;
    transition: color 0.2s;
  }
  .modal .nav.prev {
    left: 30px;
  }
  .modal .nav.next {
    right: 30px;
  }
  .modal .nav:hover {
    color: #ddd;
  }
  
  /* Кнопка закрытия */
  .modal-close {
    position: absolute;
    top: 20px;
    right: 20px;
    background-color: #fff;
    color: #333;
    font-size: 20px;
    width: 40px; /* Устанавливаем ширину */
    height: 40px; /* Устанавливаем высоту */
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%; /* Делает кнопку круглой */
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    cursor: pointer;
    text-decoration: none;
    transition: background-color 0.2s;
   
  }
  .modal-close:hover {
    background-color: #ddd;
  }
  /* Кнопки навигации */
.nav-btn {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    border: none;
    padding: 16px;
    cursor: pointer;
    font-size: 24px;
    z-index: 10;
}

#prevBtn {
    left: 10px; /* Слева */
}

#nextBtn {
    right: 10px; /* Справа */
}

.nav-btn:hover {
    background-color: rgba(0, 0, 0, 0.7);
}

/*galery finish*/

/* video container start*/

.videocontainer {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 10px;
  max-width: 700px;
  margin: auto;
}
iframe {
  width: 100%;
  height: 250px;
}



/* video container end*/
/* contact section start*/
.contact form{
  max-width: 70rem;
  margin:1rem auto;
  text-align: center;
}
.contact form .input-box{
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;

}
.contact form .input-box input,
.contact form textarea{
  width: 100%;
  padding: 1rem;
  font-size: 1rem;
  color: var(--text-color1);
  background: var(--bg-color2);
  border-radius: 0.5rem;
  box-shadow: var(--box-shadow);
  margin: 0.7rem 0rem;
}
.contact form .input-box input{
  width: 49%;
}
.contact form textarea{
  height: 10rem;
  resize:none;

}

/* contact section finish*/

/* footer section start*/
.footer{
 background: var(--bg-color2);

  width: 100%;
}
.footer .box-container{

  margin: 0rem 4rem;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
 
  gap: 1.5rem;
 
}
.footer .box-container .box{
  flex: 0 0 25rem;
}
.footer .box-container .box h4{
  font-size: 1rem;
  color: var(--text-color1);
  padding: 1rem 0rem;
}
.footer .box-container .box a {
  display: block;
  color: var(--text-color2);
  font-size: 1rem;
  padding: 1rem 0rem;
}
.footer .box-container .box a i{
padding-right: 0.5rem;
color: var(--main-color);
transition: 0.5s
}
.footer .box-container .box a:hover i{
  padding-right: 1.5rem;
}
#emailAdress{
  text-transform: none;
}
/* footer section finish*/
/* media===================================================================================================== */

@media(max-width:991px){
.header {
  padding : 1.5rem 2rem;
 
}

.header .logo{
 width:40%;
 height:auto;
}
}

@media(max-width:750px){

  .header .navbar{
    right :2rem;
  }
  .header .search-form{
    right :2rem;
    width: 80%;
  }

  .header .colors-palette{
    right :2rem;
    width: 12rem;
  }
  .contact form .input-box input{
    width: 100%;
  }
  .services .box-container .box {
    width: 100%; /* Занимает всю ширину экрана */
    padding: 1rem; /* Уменьшение отступов */
  }
}

.box-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 20px;
}



/* Стили для каждой карточки */


/* Кнопка Show More */
.toggle-btn {
  position: absolute;
  bottom: 10px;
  left: 50%;
  transform: translateX(-50%);
  padding: 8px 16px;
  background-color: #007BFF;
  color: white;
  border: none;
  cursor: pointer;
}

/* Стиль для дополнительного контента */
.full-content {
  display: none;
  padding-top: 10px;
}

/* Для плавного перехода высоты */
.box.expanded {
  height: auto; /* Убираем ограничение по высоте */
}

.toggle-btn{
  margin-top: 1rem;
  display: inline-block;
  padding: 0.9rem 3.5rem;
  color: var(--contrast-color);
  border-radius: 0.5rem;
  cursor: pointer;
  background: var(--main-color);
  letter-spacing: 0.1rem;
}
.toggle-btn:hover{
  letter-spacing: 0.3rem;
}


.time-box {
  text-align: center;
  margin: 0 10px;
}

.time-box span {
  font-size: 2rem;
  font-weight: bold;
  color: var(--main-color);
}

.time-box p {
  font-size: 1rem;
  color: #b0bec5;
}

.offer-text {

  color: #e0e0e0;
}
.countdown {
  display: flex;
  justify-content: space-around;
  align-items: center;
 
  margin-bottom: 20px;
  color:white;
  font-size: 2rem;

  border: solid white 2px;
  padding-left:10px;
  padding-right:10px;
}
.countdown-container {
  text-align: center;
  max-width: 500px;
  padding: 20px;
  background-color: #1f1f1f;
  border-radius: 10px;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.5);
  display: flex;
  flex-direction: column; /* Чтобы содержимое оставалось вертикально */
  align-items: center; /* Центровка по горизонтали */
  margin: 0 auto; /* Центровка в случае дополнительных настроек ширины */
  text-align: center; /* Выравнивание текста по центру */
  max-width: 800px; /* Опционально: ограничить максимальную ширину */
}
h2 {
  font-size: 1.8em;
  color: var(--main-color);
  margin-bottom: 20px;
}
.prosfora{
  color:yellow;
}
.countdown-container p{
  color: #e0e0e0;
  text-align: left;
}

@media (max-width: 750px) {
/*#color-btn{
 display: none;
}*/
.header {
  padding : 0.2rem 0.2rem;
 
}



.header .logo{
 width:50%;
 height:auto;
}

.header .icons{

  gap:0.3rem; 
   margin-left: auto; /* ⭐ вот это главное */
}


  .modal {
    display: flex; /* 🔥 важно */
    align-items: center; /* лучше центр */
    justify-content: center;
    padding: 10px;
  }

  .modal img {
    max-width: 95vw;
    max-height: 75vh;
    object-fit: contain;
  }

  .modal .nav {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    
    font-size: 32px;
    padding: 15px;
    
    background: rgba(0,0,0,0.3); 
    border-radius: 50%;
  }

  .modal .nav.prev {
    left: 5px;
  }

  .modal .nav.next {
    right: 5px;
  }
  
    .vraveia {
    gap: 1rem; /* уменьшаем расстояние */
  }

  .vraveia img {
    max-height: 3rem; /* уменьшаем размер */
  }

}




